Bug 458769 - Review Request: geany-prj - Alternative project manager for geany fast light IDE
Review Request: geany-prj - Alternative project manager for geany fast light IDE
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://geany-plugins.sourceforge.net/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 03:17 EDT by Rajesh Krishnan
Modified: 2009-08-16 17:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-16 17:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
geany-prj-0.3-1.fc10.src.rpm (345.32 KB, application/x-rpm)
2008-08-12 03:17 EDT, Rajesh Krishnan
no flags Details
geany-prj/geany-prj.spec (2.09 KB, text/plain)
2008-08-12 03:19 EDT, Rajesh Krishnan
no flags Details

  None (edit)
Description Rajesh Krishnan 2008-08-12 03:17:54 EDT
Created attachment 314047 [details]
geany-prj-0.3-1.fc10.src.rpm

Description of problem:
New plugin for geany: geanyprj

Version-Release number of selected component (if applicable):
0.3

Actual results:
1. Builds fine on Fedora 9 with Rawhide (10).


Additional info:

1.  Currently I have repackaged the source with renamed base directory for the package.  The URL to the source package is shared off my local server.  Maybe in the next iteration we could perhaps retain the original name of the source package while keeping the visible name of the package as geany-prj (or geany-geanyprj if we prefer to be too strict).

2.  SRPM and SPEC are attached.

3.  Once the package is installed, the user can see the new plugin becomes available in Geany (see manage plugins dialog).

4.  Built on Fedora 9 + rawhide repositories enabled; on X86_64.
Comment 1 Rajesh Krishnan 2008-08-12 03:19:13 EDT
Created attachment 314049 [details]
geany-prj/geany-prj.spec
Comment 2 Mark Kica 2009-07-28 10:22:05 EDT
On Fedora 10 i couldn´t build that package

geany-devel-0.17-6.fc10.i386 



/bin/sh ../libtool --silent --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..    -I/usr/include/geany -I/usr/include/geany/tagmanager -I/usr/include/geany/scintilla -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2   -DLOCALEDIR=\""/usr/share/locale"\" -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT project.lo -MD -MP -MF .deps/project.Tpo -c -o project.lo project.c
In file included from project.c:36:
geanyprj.h:51: error: redefinition of 'struct GeanyProject'In file included from menu.c:36:
geanyprj.h:51: error: redefinition of 'struct GeanyProject'In file included from geanyprj.c:35:
geanyprj.h:51: error: redefinition of 'struct GeanyProject'
geanyprj.c:38: error: expected declaration specifiers or '...' before '(' token
menu.c: In function 'build_properties_dialog':
geanyprj.c:38: error: expected declaration specifiers or '...' before '(' token
geanyprj.c:38: error: expected declaration specifiers or '...' before string constant
geanyprj.c:39: error: expected declaration specifiers or '...' before '(' token
geanyprj.c:38: warning: data definition has no type or storage class
geanyprj.c:39: warning: type defaults to 'int' in declaration of 'PLUGIN_INFO'
geanyprj.c: In function 'reload_project':

menu.c:78: error: 'geany_functions' undeclared (first use in this function)geanyprj.c:54: error: 'geany_functions' undeclared (first use in this function)

geanyprj.c:54: error: (Each undeclared identifier is reported only oncemenu.c:78: error: (Each undeclared identifier is reported only once

geanyprj.c:54: error: for each function it appears in.)menu.c:78: error: for each function it appears in.)

menu.c:78: error: 'GeanyApp' has no member named 'window'geanyprj.c:55: error: 'doc_list' undeclared (first use in this function)
menu.c:87: error: 'doc_list' undeclared (first use in this function)
geanyprj.c:62: error: 'project' undeclared (first use in this function)

menu.c:103: error: 'GeanyApp' has no member named 'window'
project.c: In function 'project_filter_c_cpp':
menu.c:110: error: 'GeanyApp' has no member named 'window'
menu.c: In function 'on_new_project':
project.c:51: error: 'GeanyData' has no member named 'filetype'
project.c:52: error: 'GeanyData' has no member named 'filetype'
project.c: In function 'project_filter_c':
project.c:60: error: 'GeanyData' has no member named 'filetype'
project.c: In function 'project_filter_python':geanyprj.c: In function 'on_doc_save':
geanyprj.c:94: error: 'doc_list' undeclared (first use in this function)
project.c:68: error: 'GeanyData' has no member named 'filetype'

project.c: In function 'project_filter_all':
project.c:76: error: 'GeanyData' has no member named 'filetype'
project.c:76: error: 'GEANY_FILETYPES_ALL' undeclared (first use in this function)
project.c:76: error: (Each undeclared identifier is reported only once
project.c:76: error: for each function it appears in.)
project.c: In function 'free_tag_object':
project.c:100: error: 'geany_functions' undeclared (first use in this function)
project.c: In function 'geany_project_load':
project.c:142: error: 'geany_functions' undeclared (first use in this function)
project.c:178: error: 'GeanyData' has no member named 'filetype'geanyprj.c: At top level:

geanyprj.c:120: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'geany_callbacks'project.c: In function 'geany_project_set_name':
geanyprj.c: In function 'init':
geanyprj.c:131: error: 'geany_functions' undeclared (first use in this function)
geanyprj.c:131: error: 'GeanyApp' has no member named 'window'
geanyprj.c: In function 'cleanup':
geanyprj.c:146: error: 'geany_functions' undeclared (first use in this function)
geanyprj.c:146: error: 'GeanyApp' has no member named 'window'
geanyprj.c:152: error: 'project' undeclared (first use in this function)

menu.c:227: error: 'geany_functions' undeclared (first use in this function)
menu.c: In function 'on_delete_project':
project.c:238: error: 'project' undeclared (first use in this function)
project.c: In function 'geany_project_set_description':
project.c:280: error: 'project' undeclared (first use in this function)
project.c: In function 'geany_project_set_base_path':
project.c:306: error: 'project' undeclared (first use in this function)
project.c: In function 'geany_project_set_run_cmd':
menu.c:307: error: 'geany_functions' undeclared (first use in this function)
menu.c: In function 'on_add_file':
project.c:324: error: 'project' undeclared (first use in this function)

menu.c:322: error: 'geany_functions' undeclared (first use in this function)project.c: In function 'geany_project_set_tags_from_list':
menu.c:323: error: 'doc_list' undeclared (first use in this function)
menu.c: In function 'on_find_in_project':
project.c:348: error: 'geany_functions' undeclared (first use in this function)
project.c:350: error: 'GeanyData' has no member named 'filetype'
project.c: In function 'geany_project_add_file':
menu.c:342: error: 'geany_functions' undeclared (first use in this function)
menu.c: In function 'update_menu_items':
menu.c:353: error: 'geany_functions' undeclared (first use in this function)
menu.c:356: error: 'doc_list' undeclared (first use in this function)
menu.c: In function 'tools_menu_init':
menu.c:384: error: 'GeanyData' has no member named 'tools_menu'

project.c:405: error: 'geany_functions' undeclared (first use in this function)
project.c:407: error: 'GeanyData' has no member named 'filetype'
make[2]: *** [geanyprj.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [project.lo] Error 1
make[2]: *** [menu.lo] Error 1
make[2]: Leaving directory `/home/makerpm/rpmbuild/BUILD/geany-prj-0.3/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/makerpm/rpmbuild/BUILD/geany-prj-0.3'
make: *** [all] Error 2
chyba: Bad exit status from /var/tmp/rpm-tmp.TVuDXa (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.TVuDXa (%build)
Comment 3 Dominic Hopf 2009-07-28 13:36:05 EDT
The geanyprj project is currently not up to date with Geany 0.17. Last changes on geanyprj were on 2009-02-22, I'm afraid it isn't maintained anymore at the present. There were much changes in the plugin ABI from Geany 0.16 to 0.17. To get geanyprj work with current geany versions there has to be much work done in the upstream project first. Feel free to grab it and work on this if you like to have geanyprj in further Geany versions. If you like to do so you will find information on how to contact the Geany guys on http://geany.org/.
Otherwise I would recommend to use Geanys built-in feature for project and session management. This actually doesn't have all features which geanyprj might have, but - at least for me - is enough.

For this review request in special:
The geanyprj version which got packaged here was 0.3. According to [1] this version would just work with Geany 0.14. This actually is *very* old and there was much more work between the plugin ABI versions. This package will definitely not work with Geany 0.17. This might sounds hard but I would recommend to close this issue.

[1] http://plugins.geany.org/geanyprj/

Note You need to log in before you can comment on or make changes to this bug.